gemm_pipelined.h File Reference

Template for a pipelined GEMM kernel. Does not compute batching or support split-K. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/aligned_buffer.h"`
`#include "cutlass/array.h"`
`#include "cutlass/numeric_types.h"`
`#include "cutlass/matrix_shape.h"`
`#include "cutlass/gemm/gemm.h"`
Include dependency graph for gemm_pipelined.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| cutlass
| cutlass::gemm
| cutlass::gemm::kernel

## Functions

template<typename Mma , typename Epilogue , typename ThreadblockSwizzle >
__global__ void | cutlass::gemm::kernel::GemmPipelined (cutlass::gemm::GemmCoord problem_size, cutlass::gemm::GemmCoord grid_tiled_shape, typename Mma::IteratorA::Params params_A, typename Mma::IteratorA::TensorRef ref_A, typename Mma::IteratorB::Params params_B, typename Mma::IteratorB::TensorRef ref_B, typename Epilogue::Params params_epilogue)